<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.emoon</groupId>
        <artifactId>emoon-modules</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>emoon-mcp</artifactId>

    <properties>
        <maven.compiler.source>21</maven.compiler.source>
        <maven.compiler.target>21</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-core</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-system-api</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-doc</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-translation</artifactId>
        </dependency>

        <!-- OSS功能模块 -->
        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-oss</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-log</artifactId>
        </dependency>

        <!-- excel-->
        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-excel</artifactId>
        </dependency>

        <!-- SMS功能模块 -->
        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-sms</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-tenant</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-security</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-web</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-idempotent</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-sensitive</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-encrypt</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-websocket</artifactId>
        </dependency>

        <dependency>
            <groupId>com.emoon</groupId>
            <artifactId>emoon-common-sse</artifactId>
        </dependency>
    </dependencies>
</project>
